Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1353399 - Review Request: nodejs-optionator - Option parsing and help generation
Summary: Review Request: nodejs-optionator - Option parsing and help generation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews Node-RED
TreeView+ depends on / blocked
 
Reported: 2016-07-07 01:01 UTC by Jared Smith
Modified: 2016-10-21 08:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-14 15:53:38 UTC
tom: fedora-review+


Attachments (Terms of Use)

Description Jared Smith 2016-07-07 01:01:08 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-type-name/nodejs-type-name.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-optionator/nodejs-optionator-0.8.1-1.fc24.src.rpm
Description: Option parsing and help generation
Fedora Account System Username: jsmith

Notice that this build is built in "bootstrap" mode, which runs from javascript pre-generated from the livescript source.  Once this package is built, we can build nodejs-livescript, which depends on this package.  Then, once nodejs-livescript is built, we can then rebuild this package from the livescript sources.

Comment 1 Tom Hughes 2016-07-12 20:04:05 UTC
Spec URL is for nodejs-type-name not nodejs-optionator...

Comment 3 Tom Hughes 2016-07-13 19:29:51 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 7 files have
     unknown license. Detailed output of licensecheck in /home/tom/1353399
     -nodejs-optionator/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-optionator-0.8.1-1.fc25.noarch.rpm
          nodejs-optionator-0.8.1-1.fc25.src.rpm
nodejs-optionator.noarch: W: only-non-binary-in-usr-lib
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/wordwrap /usr/lib/node_modules/wordwrap
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/deep-is /usr/lib/node_modules/deep-is
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/type-check /usr/lib/node_modules/type-check
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/fast-levenshtein /usr/lib/node_modules/fast-levenshtein
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/levn /usr/lib/node_modules/levn
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/prelude-ls /usr/lib/node_modules/prelude-ls
nodejs-optionator.src: W: invalid-url Source2: src-0.8.1.tar.bz2
nodejs-optionator.src: W: invalid-url Source1: tests-0.8.1.tar.bz2
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-optionator.noarch: W: only-non-binary-in-usr-lib
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/deep-is /usr/lib/node_modules/deep-is
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/wordwrap /usr/lib/node_modules/wordwrap
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/fast-levenshtein /usr/lib/node_modules/fast-levenshtein
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/type-check /usr/lib/node_modules/type-check
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/prelude-ls /usr/lib/node_modules/prelude-ls
nodejs-optionator.noarch: W: dangling-symlink /usr/lib/node_modules/optionator/node_modules/levn /usr/lib/node_modules/levn
1 packages and 0 specfiles checked; 0 errors, 7 warnings.



Requires
--------
nodejs-optionator (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(deep-is)
    npm(fast-levenshtein)
    npm(levn)
    npm(prelude-ls)
    npm(type-check)
    npm(wordwrap)



Provides
--------
nodejs-optionator:
    nodejs-optionator
    npm(optionator)



Source checksums
----------------
https://registry.npmjs.org/optionator/-/optionator-0.8.1.tgz :
  CHECKSUM(SHA256) this package     : b008bf1bd31d56d28f748c7b9a7cf014e24b24b7dc25b1888a67952babd66dda
  CHECKSUM(SHA256) upstream package : b008bf1bd31d56d28f748c7b9a7cf014e24b24b7dc25b1888a67952babd66dda
https://raw.githubusercontent.com/gkz/optionator/0.8.1/package.json.ls :
  CHECKSUM(SHA256) this package     : 164877e12bd133e1110ef9460a79d2dd15cae1e3146be8bf4889a1cbc87b8fca
  CHECKSUM(SHA256) upstream package : 164877e12bd133e1110ef9460a79d2dd15cae1e3146be8bf4889a1cbc87b8fca


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1353399
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Tom Hughes 2016-07-13 19:32:55 UTC
There's one test failure (with LiveScript installed from npm) which I suspect is down to our version of wordwrap being too old (we have 0.0.2 and it wants 1.0.0) but other than that it looks fine.

In fact wordwrap will need to be fixdeped unless you're doing to update it?

Comment 5 Jared Smith 2016-07-14 06:08:00 UTC
I've already updated wordwrap in Rawhide.

Comment 6 Tom Hughes 2016-07-14 06:10:55 UTC
Ah great. Well I already approved this anyway.

Comment 7 Gwyn Ciesla 2016-07-14 13:12:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-optionator


Note You need to log in before you can comment on or make changes to this bug.